export class Parser {
    static Parse(xmlstr) {
        if (typeof DOMParser !== 'undefined') {
            let domDoc = (new DOMParser()).parseFromString(xmlstr, 'application/xml');
            // let's check for errors
            if (domDoc.documentElement.nodeName == "parsererror") {
                throw new Error('XML parsing error');
            }
            return domDoc;
        }
        return null;
    }
}
//# sourceMappingURL=parser.js.map